moCmd = {};

--index args 1=mouseClickLeft/mouseClickMiddle/mouseClickRight, args 2=cmdTablePos, args 3=cmdPos, args 4=clickAreaTable
function moCmd.emptyCmd(...)
end;

function moCmd.printCmd(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil and args[1] ~= nil and args[2] ~= nil and args[3] ~= nil and args[4] ~= nil then	
			g_currentMission:showBlinkingWarning("Not Implements (Wait next Update)", 3500);
		end;
	end;
end;

function moCmd.openClosePda(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil and args[1] ~= nil and args[2] ~= nil and args[3] ~= nil and args[4] ~= nil then
			local pdaGlobalName = string.gsub(MultiOverlayV3.cmdTable[args[2]].cmd[args[3]].name, "openClosePda_", "");			
			if pdaGlobalName ~= nil and type(pdaGlobalName) == "string" and moSetGetOverlays.pda[pdaGlobalName] ~= nil then
				if moSetGetOverlays.pda[pdaGlobalName].isOpen then moSetGetMohPDA.closePDA(pdaGlobalName, true);else moSetGetMohPDA.openPDA(pdaGlobalName, true);end;
			end;
		end;
	end;
end;

function moCmd.closeAllPdas(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil then
			local openMohPDAs = moSetGetMohPDA:getOpenPDAs();	
			if #openMohPDAs > 0 then
				for pda=1, #openMohPDAs do
					local whichSubPDA = openMohPDAs[pda];
					if whichSubPDA ~= "masterPDA_" and moSetGetOverlays.pda[whichSubPDA].isOpen then moSetGetMohPDA.closePDA(whichSubPDA, true);end;
				end;
			end;			
		end;
	end;
end;

function moCmd.openCloseSlot(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil and args[1] ~= nil and args[2] ~= nil and args[3] ~= nil and args[4] ~= nil then
			local slotGlobalName = string.gsub(MultiOverlayV3.cmdTable[args[2]].cmd[args[3]].name, "openCloseSlot_", "");			
			if slotGlobalName ~= nil and type(slotGlobalName) == "string" and moSetGetOverlays.slot[slotGlobalName] ~= nil then
				if moSetGetOverlays.slot[slotGlobalName].isOpen then moSetGetMohSLOT.closeSLOT(slotGlobalName, true);else moSetGetMohSLOT.openSLOT(slotGlobalName, true);end;
			end;
		end;
	end;
end;


function moCmd.closeAllSlots(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil then
			local openMohSLOTs = moSetGetMohSLOT:getOpenSLOTs();	
			if #openMohSLOTs > 0 then
				for slot=1, #openMohSLOTs do
					local whichSubSLOT = openMohSLOTs[slot];
					moSetGetMohSLOT.closeSLOT(whichSubSLOT, true);
				end;
			end;			
		end;
	end;
end;

function moCmd.invisibleAllPdas(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil then
			if moGeneralSettings.invisible.pdas then
				moGeneralSettings.invisible.pdas = false;
			else
				moMouseKeyEvents:setMouseCursorAndFrozen(self, false);
				moGeneralSettings.invisible.pdas = true;
			end;
		end;
	end;
end;

function moCmd.invisibleAllSlots(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil then
			if moGeneralSettings.invisible.slots then
				moGeneralSettings.invisible.slots = false;
			else
				moGeneralSettings.invisible.slots = true;
			end;
		end;
	end;
end;

function moCmd.openCloseAutoDrive(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil and args[1] ~= nil and args[2] ~= nil and args[3] ~= nil and args[4] ~= nil then
			if MultiOverlayV3.otherMods.autoDrive == nil then g_currentMission:showBlinkingWarning("AutoDrive Not Found", 3500);return;end;
			if MultiOverlayV3.otherMods.autoDrive.ADInputManager ~= nil and g_currentMission.controlledVehicle ~= nil and g_currentMission.controlledVehicle.trainSystem == nil then
				MultiOverlayV3.otherMods.autoDrive.ADInputManager.onActionCall(g_currentMission.controlledVehicle, "ADToggleHud");						
			end;
		end;
	end;
end;

function moCmd.openCloseCourseplay(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil and args[1] ~= nil and args[2] ~= nil and args[3] ~= nil and args[4] ~= nil then
			if MultiOverlayV3.otherMods.courseplay == nil then g_currentMission:showBlinkingWarning("Courseplay Not Found", 3500);return;end;
			if MultiOverlayV3.otherMods.courseplay ~= nil and g_currentMission.controlledVehicle ~= nil and g_currentMission.controlledVehicle.trainSystem == nil then
				g_currentMission.controlledVehicle:setCourseplayFunc('openCloseHud', not g_currentMission.controlledVehicle.cp.hud.show, true);						
			end;
		end;
	end;
end;

function moCmd.openCloseGlobalCompanyMain(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil and args[1] ~= nil and args[2] ~= nil and args[3] ~= nil and args[4] ~= nil then
			if MultiOverlayV3.otherMods.gc == nil then g_currentMission:showBlinkingWarning("GlobalCompany Not Found", 3500);return;end;
			if MultiOverlayV3.otherMods.gc ~= nil and MultiOverlayV3.otherMods.gc.g_company ~= nil then
				MultiOverlayV3.otherMods.gc.g_company.gui:openGui("gc_main");						
			end;
		end;
	end;
end;

function moCmd.openCloseSeasonsPage(...)
	if ... ~= nil then		
		local args = {...};		
		if args ~= nil and args[1] ~= nil and args[2] ~= nil and args[3] ~= nil and args[4] ~= nil then
			if MultiOverlayV3.otherMods.seasons == nil or g_seasons == nil then g_currentMission:showBlinkingWarning("Seasons Map/Mod Not Found", 3500);return;end;
			if MultiOverlayV3.otherMods.seasons ~= nil then
				g_gui:showGui("SeasonsMenu");							
			end;
		end;
	end;
end;

function moCmd.handToolsSwitch(...)
	if ... ~= nil then		
		local args = {...};
		if args ~= nil then
			if moGeneralSettings.other.handToolsSwitch then				
				moGeneralSettings.other.handToolsSwitch = false;
				if g_currentMission.player:hasHandtoolEquipped() then 
					g_currentMission:showBlinkingWarning("Hand Tools Switch Off ! HAND NOT EMPTY !", 2500);				
				else
					g_currentMission:showBlinkingWarning("Hand Tools Switch Off", 2000);
				end;
			else 
				moGeneralSettings.other.handToolsSwitch = true;				
				g_currentMission:showBlinkingWarning("Hand Tools On", 2000);
			end;
		end;
	end;
end;
